# eric7.Plugins.PluginWizardQFileDialog

Module implementing the QFileDialog wizard plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
pyqtApi
shortDescription
version

### Classes

FileDialogWizard | Class implementing the QFileDialog wizard plugin.

### Functions

None

## FileDialogWizard

Class implementing the QFileDialog wizard plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

FileDialogWizard | Constructor
__callForm | Private method to display a dialog and get the code.
__handle | Private method to handle the wizards action.
__handleEricFileDialog | Private slot to handle the wizard EricFileDialog action.
__handleQFileDialog | Private slot to handle the wizard QFileDialog action.
__initActions | Private method to initialize the actions.
__initMenu | Private method to add the actions to the right menu.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### FileDialogWizard (Constructor)

FileDialogWizard(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### FileDialogWizard.__callForm

__callForm(editor, variant)

Private method to display a dialog and get the code.

editor (Editor)
  reference to the current editor
variant (int)
  variant of code to be generated (-1 = EricFileDialog, 0 = unknown, 5 = PyQt5, 6 = PyQt6)

Return:
  the generated code (string)

#### FileDialogWizard.__handle

__handle(variant)

Private method to handle the wizards action.

variant (str)
  dialog variant to be generated (EricFileDialog or QFileDialog)

Raises ValueError:
  raised to indicate an illegal file dialog variant

#### FileDialogWizard.__handleEricFileDialog

__handleEricFileDialog()

Private slot to handle the wizard EricFileDialog action.

#### FileDialogWizard.__handleQFileDialog

__handleQFileDialog()

Private slot to handle the wizard QFileDialog action.

#### FileDialogWizard.__initActions

__initActions()

Private method to initialize the actions.

#### FileDialogWizard.__initMenu

__initMenu()

Private method to add the actions to the right menu.

#### FileDialogWizard.activate

activate()

Public method to activate this plugin.

Return:
  tuple of None and activation status (boolean)

#### FileDialogWizard.deactivate

deactivate()

Public method to deactivate this plugin.

Up